# Balance

The balance entity holds the total funds available in your workspace and can be calculated as the sum of its transactions (cash-in + cash-out).

Therefore, you can also interpret Transactions as balance change logs.

### The Balance object

**Attributes**

| Name | Type | Description |
| --- | --- | --- |
| `id` | STRING | Unique identifier for the balance. |
| `amount` | INTEGER | Current balance amount in cents of reais. |
| `currency` | STRING | Currency code of the balance. Example: "BRL". |
| `updated` | STRING | Last update datetime of the balance. Example: "2020-04-23T23:00:00.000000+00:00". |

### Get the Balance

`GET /v2/balance`

Get the current balance in your workspace.

**Request**

```python
import starkbank

balance = starkbank.balance.get()

print(balance)
```

**Response**

```python
Balance(
    amount=5419070393,
    currency=BRL,
    id=5083989094170624,
    updated=2020-04-24 17:44:48.912604
)
```

## Available Languages

Code samples on this page are in Python. The same content is available with samples in:

- [Python](https://docs.starkbank.com/api/v2/balance-python.md)
- [Node.js](https://docs.starkbank.com/api/v2/balance-node.md)
- [PHP](https://docs.starkbank.com/api/v2/balance-php.md)
- [Java](https://docs.starkbank.com/api/v2/balance-java.md)
- [Ruby](https://docs.starkbank.com/api/v2/balance-ruby.md)
- [Elixir](https://docs.starkbank.com/api/v2/balance-elixir.md)
- [.NET](https://docs.starkbank.com/api/v2/balance-dotnet.md)
- [Go](https://docs.starkbank.com/api/v2/balance-go.md)
- [Clojure](https://docs.starkbank.com/api/v2/balance-clojure.md)
- [cURL](https://docs.starkbank.com/api/v2/balance-curl.md)
